Subject: Re: vlan JMicron Technologies, Inc. JMC250 PCI Express Gigabit Ethernet

From: Stephen Hemminger <[email-masked]>
Date: Thu, 11 Mar 2010 08:54:12 -0800

On Thu, 11 Mar 2010 17:04:57 +0100
Vito Mattera <[email-masked]> wrote:

> I'm trying to add vlan using the network adapter  JMC250 in CentOS 5.3
> with the driver: kmod-jme-1.0.5-1.el5.elrepo.i686.rpm
> 
> 
> when I type the command:
> vconfig add eth0 3
> 
> I have the following message:
> 
> 
> 802.1Q VLAN Support v1.8 Ben Greear <[email-masked]>
> register_vlan_device: Device eth0 has buggy VLAN hw accel
> 
> and no vlan is created.
> 
> what is my mistake ?

Message happens if driver sets hardware vlan filtering but
provides no callback.
The driver appears okay in upstream kernel, most likely something
got lost in backport process in redhat or the copying of redhat
done by centos.